Subject: [Taps] Fwd: Call for Papers: IAB Workshop on Stack Evolution in a Middlebox Internet (SEMI)

From: Brian Trammell <[email-masked]>
Date: Tue, 9 Sep 2014 18:17:29 +0200

Greetings, all,

FYI, for those of you not on ietf-announce...

Cheers,

Brian

Begin forwarded message:

> From: IAB Chair <[email-masked]>
> Subject: Call for Papers: IAB Workshop on Stack Evolution in a Middlebox Internet (SEMI)
> Date: 9 Sep 2014 18:09:43 GMT+2
> To: IETF Announce <[email-masked]>
> Cc: IAB <[email-masked]>, IETF <[email-masked]>
> Reply-To: IAB <[email-masked]>
> 
> IAB Workshop on Stack Evolution in a Middlebox Internet (SEMI)
> 26-27 January 2015 – ETH Zürich, Switzerland
> 
> The Internet’s transport layer has ossified, squeezed between narrow 
> interfaces (from BSD sockets to pseudo-transport over HTTPS) and 
> increasing in-network modification of traffic by middleboxes that make 
> assumptions about the protocols running through them. This ossification 
> makes it difficult to innovate in the transport layer, through the 
> deployment of new protocols or the extension of existing ones. At the 
> same time, emerging applications require functionality that existing 
> protocols can provide only inefficiently, if at all.
> 
> To begin to address this problem, the Internet Architecture Board (IAB), 
> within the scope of its IP Stack Evolution Program, is organizing a 
> workshop to discuss approaches to de-ossifying transport, especially 
> with respect to interactions with middleboxes and new methods for 
> implementing transport protocols. Recognizing that the end-to-end 
> principle has long been compromised, we start with the fundamental 
> question of matching paths through the Internet with certain 
> characteristics to application and transport requirements. Which paths 
> through the Internet are actually available to applications? Which 
> transports can be used over these paths? How can applications cooperate 
> with network elements to improve path establishment and discovery? Can 
> common transport functionality and standardization help application 
> developers to implement and deploy such approaches in today’s Internet? 
> Could cooperative approaches give us a way to rebalance the Internet 
> back toward its end-to-end roots?
> 
> Topics
> 
> For this workshop we would like to consider topics that speak to these 
> questions, including the following:
> 
> - Development and deployment of transport-like features in application-
>  layer protocols
> - Methods for discovery of path characteristics and protocol 
>  availability along a path
> - Methods for middlebox detection and characterization of middlebox 
>  behavior and functionality
> - Methods for NAT and middlebox traversal in the establishment of end-
>  to-end paths
> - Mechanisms for cooperative path-endpoint signaling, and lessons 
>  learned from existing approaches
> - Economic considerations and incentives for cooperation in middlebox 
>  deployment
> 
> We will explicitly focus on approaches that are incrementally deployable 
> within the present Internet.
> 
> The outcome of the workshop will be architectural and engineering 
> guidance on future work in the area, published as an IAB workshop 
> report, based on discussion of proposed approaches; future work will be 
> pursued within the IAB Stack Evolution Program. We will also explore 
> possible areas for standardization, e.g. new protocols that separate 
> signaling to and from on-path devices and common transport semantics 
> from the rest of the transport protocol; and for general guidance, e.g. 
> how transports as well as middleboxes can be designed and deployed to 
> achieve these goals.
> 
> Submission Instructions
> 
> Attendance at the workshop is by invitation. Prospective participants 
> are invited to submit short position papers outlining their views on one 
> or more topics related to the scope of the workshop. Position papers 
> will be published on the IAB website at: 
> http://www.iab.org/activities/workshops/semi/.
> 
> Submissions accepted at: 
> https://www.easychair.org/conferences/?conf=semi2015
> 
> Submission Deadline: 31 October 2014
> 
> Notification Deadline: 17 November 2014
> 
> Workshop Dates: 26-27 January 2015
> 
> Sponsored by the Internet Architecture Board, the Internet Society, and 
> ETH Zürich. Mirja Kühlewind and Brian Trammell, General Chairs.